-- ----------------------------------------------------------------------------
-- Copyright (C) 2010 Nokia Gate5 GmbH Berlin
--
-- These coded instructions, statements, and computer programs contain
-- unpublished proprietary information of Nokia Gate5 GmbH Berlin, and
-- are copy protected by law. They may not be disclosed to third parties
-- or copied or duplicated in any form, in whole or in part, without the
-- specific, prior written permission of Nokia Gate5 GmbH Berlin.
-- ----------------------------------------------------------------------------
--      Authors: RFS
-- ----------------------------------------------------------------------------
--             Voice Skin: Polish TTS

description = "TTS"
gender = "f"
travel_mode = "0"    -- walk and drive 
output_type = "tts"
speaker = "Agata"
language = "Polish"
marc_code = "pol"
language_id = "27"
id = "27002"
config_file = "polish_tts/config_tts.lua"
audio_files_path = "polish_tts/polish_tts"
rulesets_file = "polish_tts/polish_tts/rules_plp.txt"
userdictionary_file = "polish_tts/polish_tts/udct_plp.dat"
apdb = "apdb/agata/nm"
audio_files_version = "0.2.0.2011082301"
client_range = "[client >= 1.3.18.0 ; client < 1.4.6.0 ]"

maneuver_check = {
    ["END"] = "dotrzesz do celu",                             -- You will reach your destination
    ["STOPOVER"] = "dotrzesz do pośredniego celu",                          -- You will reach a stopover
    ["JUNCTION"] = nil,                                                               -- No voice file needed -> check maneuver_turn
    ["PASS_JUNCTION"] = nil,                                                    -- the junction
    ["ROUNDABOUT"] = "zjedź z ronda",                               -- At the roundabout
    ["EXIT_ROUNDABOUT"] = "zjedź z drogi",                              -- take the exit
    ["UTURN"] = "zawróć",                                                -- Make a uturn
    ["ENTER_HIGHWAY"] = "wjedź na autostradę",
    ["LEAVE_HIGHWAY"] = "zjedź z drogi",                                    -- take the exit
    ["CONTINUE_HIGHWAY"] = "zjedź z drogi",                             -- due to specifications ("take the exit")
    ["ENTER_URBAN_HIGHWAY"] = "wjedź na autostradę",
    ["LEAVE_URBAN_HIGHWAY"] = "zjedź z drogi",                      -- take the exit
    ["CONTINUE_URBAN_HIGHWAY"] = "zjedź z drogi",
    ["DRIVE_TO_NEAREST_ROAD"] = "Jedź do najbliższej drogi",        -- drive to nearest road 
    ["FERRY"] = "skorzystaj z promu"
}

maneuver_turns_car = {
    ["NO_TURN"] = "jedź prosto",
    ["KEEP_MIDDLE"] = "zajmij środkowy pas",
    ["KEEP_RIGHT"] = "trzymaj się prawej strony",
    ["LIGHT_RIGHT"] = "skręć lekko w prawo",
    ["QUITE_RIGHT"] = "skręć w prawo",
    ["HEAVY_RIGHT"] = "skręć ostro w prawo",
    ["RETURN"] = "zawróć",
    ["HEAVY_LEFT"] = "skręć ostro w lewo",
    ["QUITE_LEFT"] = "skręć w lewo",
    ["LIGHT_LEFT"] = "skręć lekko w lewo",
    ["KEEP_LEFT"] = "trzymaj się lewej strony",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

maneuver_turns_pedestrian = {
    ["NO_TURN"] = "jedź prosto",
    ["KEEP_MIDDLE"] = "jedź prosto",
    ["KEEP_RIGHT"] = "skręć w ulicę po prawej",
    ["LIGHT_RIGHT"] = "skręć lekko w prawo",
    ["QUITE_RIGHT"] = "skręć w prawo",
    ["HEAVY_RIGHT"] = "skręć ostro w prawo",
    ["RETURN"] = "zawróć",
    ["HEAVY_LEFT"] = "skręć ostro w lewo",
    ["QUITE_LEFT"] = "skręć w lewo",
    ["LIGHT_LEFT"] = "skręć lekko w lewo",
    ["KEEP_LEFT"] = "skręć w ulicę po lewej",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

pedestrian_vc = {
    ["BUILDING"] = "przejdź przez budynek",
    ["SQUARE"] = "przejdź przez plac",
    ["PARK"] = "przejdź przez park",
    ["STAIRS"] = "idź po schodach",
    ["ELEVATOR"] = "wsiądź do windy",
    ["ESCALATOR"] = "idź po schodach"
}

final_command = {
    ["END"] = "Cel został osiągnięty",                  -- You have reached your destination
    ["STOPOVER"] = "Cel pośredni został osiągnięty"                -- You have reached a stopover
}

exit_number_check = {
    [1] = {"pierwszym zjazdem", "skręć w pierwszą ulicę"},                      -- take the first exit
    [2] = {"drugim zjazdem", "skręć w drugą ulicę"},           -- take the second exit
    [3] = {"trzecim zjazdem", "skręć w trzecią ulicę"},                   -- take the third exit
    [4] = {"czwartym zjazdem", "skręć w czwartą ulicę"},                -- take the fourth exit
    [5] = {"piątym zjazdem", "skręć w piątą ulicę"},                      -- take the fifth exit
    [6] = {"szóstym zjazdem", "skręć w szóstą ulicę"},                  -- take the sixth exit
    [7] = {"siódmym zjazdem", "siódmym zjazdem"},          -- take the seventh exit
    [8] = {"ósmym zjazdem", "ósmym zjazdem"},              -- take the eighth exit
    [9] = {"dziewiątym zjazdem", "dziewiątym zjazdem"},                  -- take the ninth exit
    [10] = {"dziesiątym zjazdem", "dziesiątym zjazdem"},                -- take the tenth exit
    [11] = {"jedenastym zjazdem", "jedenastym zjazdem"},       -- take the eleventh exit
    [12] = {"dwunastym zjazdem", "dwunastym zjazdem"}             -- take the twelfth exit
}

distances = {
    [50] = "50",
    [100] = "100",
    [150] = "150",
    [200] = "200",
    [250] = "250",
    [300] = "300",
    [400] = "400",
    [500] = "500",
    [600] = "600",
    [700] = "700",
    [800] = "800",
    [900] = "900",
    [1] = "1",
    [2] = "2",
    [3] = "3",
    [4] = "4",
    [5] = "5",
    [6] = "6",
    [7] = "7",
    [8] = "8",
    [9] = "9",
    [10] = "10"
}

unit = {                        
    ["MILE"] = "mili",
    ["YARDS"] = "jardach",
    ["KILOMETER"] = "kilometrze",
    ["METERS"] = "metrach",
    ["METER"] = "metrach",
    ["KILOMETERS"] = "kilometrach",
    ["MILES"] = "milach",
    ["nil"] = nil,
    ["UNDEFINED"] = nil
}

-- units used when structure (follow for ...)
unit_follow = {                                    
    ["MILE"] = "mili",
    ["YARDS"] = "jardach",
    ["KILOMETER"] = "kilometrze",
    ["METERS"] = "metrach",
    ["METER"] = "metrach",
    ["KILOMETERS"] = "kilometrach", -- 2 different values. 1 is used for 3 and 4 km. A second one  is used from 5 to 10 km.
    ["MILES"] = "milach",  -- -- 2 different values. 1 is used for 2, 3 and 4 miles. A second one is used from 5 to 10 miles.
    ["nil"] = {nil, nil},
    ["UNDEFINED"] = {nil, nil}
}

orientation = {
    ["NORTH"] = "północ",
    ["NORTH_EAST"] = "północny wschód",
    ["EAST"] = "wschód",
    ["SOUTH_EAST"] = "południowy wschód",
    ["SOUTH"] = "południe",
    ["SOUTH_WEST"] = "południowy zachód",
    ["WEST"] = "zachód",
    ["NORTH_WEST"] = "północny zachód"
}

misc = { 
    ["gps_signal_lost_wav"] = "Utracono sygnał GPS",
    ["gps_signal_restored_wav"] = "Połączenie GPS zostało przywrócone",
 --   ["no_gps_signal_wav"] = "Brak sygnału GPS",
    ["route_recalculation_wav"] = "Ponowne obliczanie trasy",
    ["now_wav"] = "Teraz",
    ["end_of_street_wav"] = "Na końcu drogi",
    ["follow_motorway_wav"] = "Jedź autostradą",
    ["follow_road_wav"] = "Jedź drogą ",
    ["for_wav"] = "przez",
    ["after_wav"] = "Po",
    ["after_the_junction_wav"] = "Za skrzyżowaniem",
    ["half_a_mile_wav"] = "połowie mili",
    ["quarter_a_mile_wav"] = "ćwierci mili",
    ["kilometry_wav"] = "kilometry",
    ["kilometra_wav"] = "kilometra",
    ["kilometrow_wav"] = "kilometrów",
    ["mile_wav"] = "mile",
    ["mil_wav"] = "mil",
    ["and_then_immediately_wav"] = "i natychmiast",
    ["safety_camara_ahead_wav"] = "Przed Tobą kontrola video",
    ["over_speed_limit_wav"] = "Przestrzegaj ograniczenia prędkości",
    ["traffic_automatic_detour_wav"] = "Duży ruch na trasie, wyznaczam objazd",
    ["traffic_manual_detour_wav"] = "Duży ruch na trasie, czy chcesz jechać objazdem?",
    ["no_detour_possible"] = "Nie znaleziono objazdu",
    ["and_wav"] = "i",
    ["and_then_wav"] = "a następnie",
    ["and_continue_on_wav"] = "i kieruj się dalej na",
    ["towards_wav"] = "w kierunku",
    ["turn_wav"] = "skręć",
    ["onto_wav"] = "na",
    ["exit_wav"] = "zjedź z drogi",
    ["second_right_wav"] = "skręć w drugą w prawo",
    ["second_left_wav"] = "skręć w drugą w lewo",
    ["dot"] = ".",
    ["walk_left_roundabout_wav"] = "idź w lewo w ruchu okrężnym",
    ["walk_right_roundabout_wav"] = "idź w prawo w ruchu okrężnym",
    ["walk_roundabout_wav"] = "przejdź przez ruch okrężny",
    ["head_wav"] = "Kieruj się",
    ["pause"] = "\\pause=50\\",
    ["on_wav"] = "na",
    ["the_footpath_wav"] = "chodnik"
}

wav_files = { 
    ["beep_sound"] = "beep16K.wav"       
}

right = { ["QUITE_RIGHT"] = 0, ["HEAVY_RIGHT"] = 0, ["LIGHT_RIGHT"] = 0, ["KEEP_RIGHT"] = 0 }
left = { ["QUITE_LEFT"] = 0, ["HEAVY_LEFT"] = 0, ["LIGHT_LEFT"] = 0, ["KEEP_LEFT"] = 0 }
keep = { ["KEEP_LEFT"] = 0, ["KEEP_RIGHT"] = 0, ["KEEP_MIDDLE"] = 0 }
highway = { ["ENTER_HIGHWAY"] = 0, ["ENTER_URBAN_HIGHWAY"] = 0, ["LEAVE_HIGHWAY"] = 0, ["LEAVE_URBAN_HIGHWAY"] = 0 }
kilometry = { [2] = 0, [3] = 0, [4] = 0, [22] = 0, [23] = 0, [24] = 0, [32] = 0, [33] = 0, [34] = 0, [42] = 0, [43] = 0, [44] = 0, [52] = 0, [53] = 0, [54] = 0, [62] = 0, [63] = 0, [64] = 0, [72] = 0 }


